Package org.apache.commons.compress.compressors.lzma

# Class LZMACompressorOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
org.apache.commons.compress.compressors.CompressorOutputStream<org.tukaani.xz.LZMAOutputStream>
org.apache.commons.compress.compressors.lzma.LZMACompressorOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class LZMACompressorOutputStream extends CompressorOutputStream<org.tukaani.xz.LZMAOutputStream>
LZMA compressor.

Since:
  1.13

- ## Field Summary

  ### Fields inherited from class java.io.FilterOutputStream

  `out`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LZMACompressorOutputStream(OutputStream outputStream)`
  Creates a LZMA compressor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `finish()`
  Finishes compression without closing the underlying stream.
  `void`
  `flush()`
  Doesn't do anything as `LZMAOutputStream` doesn't support flushing.
  `void`
  `write(byte[] buf, int off, int len)`

  ### Methods inherited from class org.apache.commons.compress.compressors.CompressorOutputStream

  `out`

  ### Methods inherited from class java.io.FilterOutputStream

  `close, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LZMACompressorOutputStream

    public LZMACompressorOutputStream(OutputStream outputStream) throws IOException
    Creates a LZMA compressor.
    Parameters:
      `outputStream` - the stream to wrap
    Throws:
      `IOException` - on error

- ## Method Details

  - ### finish

    public void finish() throws IOException
    Finishes compression without closing the underlying stream. No more data can be written to this stream after finishing.
    Throws:
      `IOException` - on error

  - ### flush

    public void flush() throws IOException
    Doesn't do anything as `LZMAOutputStream` doesn't support flushing.
    Specified by:
      `flush` in interface `Flushable`
    Overrides:
      `flush` in class `FilterOutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(byte[] buf, int off, int len) throws IOException
    Overrides:
      `write` in class `FilterOutputStream`
    Throws:
      `IOException`